Bug 2074189

Summary: xdg-desktop-portal-gnome should be installed more aggressively
Product: [Fedora] Fedora Reporter: Debarshi Ray <debarshir>
Component: xdg-desktop-portal-gnomeAssignee: Debarshi Ray <debarshir>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: amigadave, fzatlouk, gnome-sig, mcatanza
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: xdg-desktop-portal-gnome-42.0.1-4.fc36 xdg-desktop-portal-gnome-41.2-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-14 23:23:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1953786    

Description Debarshi Ray 2022-04-11 18:04:50 UTC
Currently, xdg-desktop-portal-gnome has:
Supplements:    (gnome-shell and (flatpak or snapd))

This isn't correct.  Even applications installed as RPMs, not just Flatpaks, may use the portals.

See:
https://pagure.io/fedora-workstation/issue/298

Comment 1 Fedora Update System 2022-04-11 18:05:28 UTC
FEDORA-2022-9095c8b25c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9095c8b25c

Comment 2 Michael Catanzaro 2022-04-11 18:23:33 UTC
(We'd like this to receive a freeze exception in order to fix screen sharing in Firefox.)

Comment 3 FrantiĊĦek Zatloukal 2022-04-12 21:41:47 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/740

The decision to classify this bug as an AcceptedFreezeException was made:

"This issue might negatively affect applications present and used in a live environment and so can't be fixed by a post-release update."

Comment 4 Fedora Update System 2022-04-14 23:23:23 UTC
FEDORA-2022-9095c8b25c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2022-05-05 12:53:09 UTC
FEDORA-2022-594405302f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-594405302f

Comment 6 Fedora Update System 2022-05-08 03:26:18 UTC
FEDORA-2022-594405302f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-594405302f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-594405302f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-17 01:56:02 UTC
FEDORA-2022-594405302f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.